summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Stitcher <astitcher@apache.org>2008-07-29 20:25:49 +0000
committerAndrew Stitcher <astitcher@apache.org>2008-07-29 20:25:49 +0000
commite051ae35c30c2530fafd5c3855e1cb67e5252593 (patch)
tree95067795a6555df928049e60938c4a2bafb41e15
parenta344e91b126c4923eadd3d2b0024d681e8570f70 (diff)
downloadqpid-python-e051ae35c30c2530fafd5c3855e1cb67e5252593.tar.gz
QPID-1198: (Partial) Fix test shell scripts to work with /bin/sh
Patches from Manuel Teira. These scripts have #!/bin/sh but they were previously really dependent on bash. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@680826 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xqpid/cpp/src/tests/python_tests2
-rwxr-xr-xqpid/cpp/src/tests/run_federation_tests14
-rwxr-xr-xqpid/cpp/src/tests/stop_broker7
3 files changed, 15 insertions, 8 deletions
diff --git a/qpid/cpp/src/tests/python_tests b/qpid/cpp/src/tests/python_tests
index 109d01bd5e..896692e41e 100755
--- a/qpid/cpp/src/tests/python_tests
+++ b/qpid/cpp/src/tests/python_tests
@@ -2,7 +2,7 @@
# Run the python tests.
QPID_PORT=${QPID_PORT:-5672}
PYTHON_TESTS=${PYTHON_TESTS:-$*}
-MY_DIR=$(dirname $(which $0))
+MY_DIR=`dirname \`which $0\``
QPID_PYTHON_DIR=${QPID_PYTHON_DIR:-${MY_DIR}/../../../python}
run() {
diff --git a/qpid/cpp/src/tests/run_federation_tests b/qpid/cpp/src/tests/run_federation_tests
index 3a85f15c46..6142c1c37c 100755
--- a/qpid/cpp/src/tests/run_federation_tests
+++ b/qpid/cpp/src/tests/run_federation_tests
@@ -1,9 +1,9 @@
#!/bin/sh
# Run the federation tests.
-MY_DIR=$(dirname $(which $0))
+MY_DIR=`dirname \`which $0\``
PYTHON_DIR=${MY_DIR}/../../../python
-trap stop_brokers EXIT
+trap stop_brokers INT TERM QUIT
start_brokers() {
../qpidd --daemon --port 0 --no-data-dir --no-module-dir --auth no > qpidd.port
@@ -20,7 +20,13 @@ stop_brokers() {
if test -d ${PYTHON_DIR} ; then
start_brokers
echo "Running federation tests using brokers on ports $LOCAL_PORT $REMOTE_PORT"
- export PYTHONPATH=${PYTHON_DIR}
- ${MY_DIR}/federation.py -v -s ${MY_DIR}/../../../specs/amqp.0-10-qpid-errata.xml -b localhost:$LOCAL_PORT --remote-port $REMOTE_PORT || { echo "FAIL federation tests"; exit 1; }
+ PYTHONPATH=${PYTHON_DIR}
+ export PYTHONPATH
+ ${MY_DIR}/federation.py -v -s ${MY_DIR}/../../../specs/amqp.0-10-qpid-errata.xml -b localhost:$LOCAL_PORT --remote-port $REMOTE_PORT
+ RETCODE=$?
+ stop_brokers
+ if test x$RETCODE != x0; then
+ echo "FAIL federation tests"; exit 1;
+ fi
fi
diff --git a/qpid/cpp/src/tests/stop_broker b/qpid/cpp/src/tests/stop_broker
index 0e67ac24dd..6912795fca 100755
--- a/qpid/cpp/src/tests/stop_broker
+++ b/qpid/cpp/src/tests/stop_broker
@@ -1,19 +1,20 @@
#!/bin/sh
# Stop the broker, check for errors.
#
-export QPID_PORT=`cat qpidd.port`
+QPID_PORT=`cat qpidd.port`
+export QPID_PORT
rm -f qpidd.port
../qpidd --quit || ERROR=1
# Check qpidd.log.
-grep -a 'warning\|error\|critical' qpidd.log && {
+egrep 'warning\|error\|critical' qpidd.log && {
echo "WARNING: Suspicious broker log entries in qpidd.log, above."
}
# Check valgrind log.
if test -n "$VALGRIND"; then
- source `dirname $0`/vg_check $VG_LOG*
+ . `dirname $0`/vg_check $VG_LOG*
vg_check qpidd.vglog* || ERROR=1
fi